#----------------------------------------------------------------------------
# Profile for DirecTV HR-xx Series Boxes.
# See PS3.conf for a description of all possible configuration options.
#
# This profile is still in an experimental stage.
# You are encouraged to experiment and report back the results on the forums
# at http://www.universalmediaserver.com/forum/
#

#----------------------------------------------------------------------------
# General informations / detection

RendererName=DirecTV HR
RendererIcon=directvhr.png

# UserAgentSearch: regular expression to detect the connected renderer.
# DirecTV has been observed using the following user agents:
#
# User-Agent: Linux/2.6.18-lttng-0.6.41, UPnP/1.0 DIRECTV JHUPnP/1.0 DLNADOC/1.00 DIRECTV VIIV devices INTEL_NMPR/2.1
# User-Agent: Linux/2.6.18.5, UPnP/1.0 DIRECTV JHUPnP/1.0 DLNADOC/1.00 DIRECTV VIIV devices INTEL_NMPR/2.1
# User-Agent: Linux/2.6.31-2.6, UPnP/1.0 DIRECTV JHUPnP/1.0 DLNADOC/1.00 DIRECTV VIIV devices INTEL_NMPR/2.1
# User-Agent: Linux/2.6.31-2.6, UPnP/1.0 DIRECTV JHUPnP/1.0
#
# Combined regular expression of working user agents
UserAgentSearch=DIRECTV

# UserAgentAdditionalHeaders: additional HTTP header for better detection
UserAgentAdditionalHeader=DLNADOC/1.00 DIRECTV VIIV devices INTEL_NMPR/2.1
UserAgentAdditionalHeaderSearch=

#Basic capabilities
Video=true
Audio=true
Image=true

#----------------------------------------------------------------------------
# DLNA settings

# Use the DLNA feature seek by time and not by range
SeekByTime=true

# Serve different flavors of localization in the DLNA parameters (PAL/NTSC, NA/EU/JP)
# to allow every worldwide renderer to see the files.
#DLNALocalizationRequired=false

#----------------------------------------------------------------------------
# Transcoding/Muxing capabilities
#

# Transcode profiles for video and audio engines
# currently supported: MPEGPSAC3, MPEGTSAC3 or WMV for video, LPCM, WAV or MP3 for audio
TranscodeVideo=MPEGPSAC3
TranscodeAudio=MP3

# Use default DVD buffer size: false = greater bitrate and faster encoding,
# but can generate incompatible videos, depends of your media renderer
DefaultVBVBufSize=false

# Do you need to MUX LPCM to MPEG?
MuxLPCMToMpeg=false

# Does the media renderer supports DTS wrapped into LPCM in a mpeg file ?
WrapDTSIntoPCM=false

# Maximum bit rate supported by the media renderer (0=unlimited)
MaxVideoBitrateMbps=10

# Max Width and Height supported by the media renderer (0=unlimited)
MaxVideoWidth=1920
MaxVideoHeight=1080

# Does the media renderer supports only H264 L4.1 at most ?
H264Level41Limited=true

# Does music files need to be resampled at 44.1kHz?
TranscodeAudioTo441kHz=false

# Does the client need to receive transcoded video with minimal delay ?
# (Useful when the client has a small timeout delay)
TranscodeFastStart=true

# Size of the transcoded file (unknown length) sent to the renderer (could
# determine browsing failure/success) Possible values:
#
#           -1: Specific value working with the PS3, means perfect transcoding
#               and copying support (it is against the DLNA spec though)
#            0: size attribute is NOT sent to the renderer (default value if
#               this parameter isn't used)
# 100000000000: 100Gb, if you want to be sure that the media file is not cut
#               before the end
TranscodedVideoFileSize=0

#----------------------------------------------------------------------------
# Misc Settings

# Rotate JPEG files based on EXIF information
AutoExifRotate=false

# Disable these once MediaInfo=True works.
# What extensions are forcefully transcoded
# Don't use this if MediaInfo=true, prefer codec configurations
TranscodeExtensions=mpegps,mpegts,wmv,avi,mp4,mov,flv,rm,mkv,wav,wavpac,lpcm,aac,ac3,mp3,mpa,ogg,wma,dts,dtshd,truehd,eac3,atrac,flac,ape,ra,mpc,aiff,alac,dv,mpeg1,mpeg2,divx,h264,mjpeg,vc1,jpg,png,gif,tiff,bmp,und

# What extensions are forcefully streamed as is (and not transcoded)
# Don't use this if MediaInfo=true, prefer codec configurations
StreamExtensions=

#----------------------------------------------------------------------------
# All supported media formats of this renderer (the rest will be transcoded)
# First steps towards a faster/proper file/codec/mimetype management system (false by default)
# 1- Parse files with mediainfo on Windows/OS X (Linux too if libmediainfo and libzen installed)
# 2- Deprecate following parameters: MuxH264ToMpegTS,MuxDTSToMpeg,MuxLPCMToMpeg,MimeTypesChanges
# 3- The server will skip badly parsed, corrupted files or wrong coding, preventing potential playback errors
# 4- Faster browsing, due to the launch of FFmpeg/MPlayer first thumbnailer process with each http client request, rather than in the browse DLNA request
# Use MediaInfo for faster and proper file, codec and mime type management
# system (false by default).

MediaInfo=true

# The media parser and this configuration file will recognize the following
# formats and codecs (lower case only, regular expressions are supported).
# Chosen from the most common used and supported formats and codecs.
#
#        mpegps       (mpeg presentation stream, used in DVD Videos, VCDs, etc.)
#        mpegts     (mpeg transport stream, used in sat tv, blu rays, etc.)
#        wmv        (Windows Media Video, tag also used for asf files)
#        avi        (AVI container)
#        mp4        (ISOM/MPEG4 container, or MPEG4 codec)
#        mov        (Quicktime container, Apple)
#        flv        (Flash Video)
#        rm         (Real Media, RMVB)
#        mkv        (Matroska)
#        wav        (WAVE file)
#        wavpac     (WavPack)
#        lpcm       (Linear PCM)
#        aac        (Advanced Audio Codec)
#        ac3        (Audio Coding 3)
#        mp3        (Mpeg Audio Layer 3)
#        mpa        (Mpeg Audio)
#        ogg        (Ogg Vorbis)
#        wma        (Windows Media Audio)
#        dts        (Digital Theater Systems)
#        dtshd      (Digital Theater Systems)
#        truehd     (TrueHD)
#        eac3       (Extended AC3)
#        atrac      (Atrac)
#        flac       (Free Lossless Audio Codec)
#        ape        (Monkey's Audio)
#        ra         (Real Audio)
#        mpc        (MusePack)
#        aiff       (AIFF)
#        alac       (Apple Lossless)
#        dv         (Digital Video)
#        mpeg1      (Codec used in VCD)
#        mpeg2      (Codec used in DVD Videos and HDTV)
#        divx       (DivX Video)
#        h264       (H264)
#        mjpeg      (M-JPEG)
#        vc1        (VC-1)
#        jpg        (Jpeg)
#        png        (PNG)
#        gif        (GIF)
#        tiff       (TIFF)
#        bmp        (Bitmap)
#        und        (Undetermined, if the parser did not recognize one of above)
# Usage [IN ORDER TOO]:
#    f: format, MANDATORY (the only conf for a 'eat everything' renderer would be f:.+)
#    v: video codec
#    a: audio codec
#    n: max nb of audio channels
#    s: max audio sample frequency in Hz
#    b: max audio bitrate in bps
#    w: max width in pixels
#    h: max height in pixels
#    m: mimetype, STRONGLY RECOMMENDED (if not declared, an estimated value is assigned)
#    other flags: right now, only qpel and gmc (see avi)
#
# In case of multiple matches, the first mime type of the list is the used one.
# Be careful with regexps such as .+ : You should not use these except when you
# are sure your renderer is quite versatile.
#
# Taken from Wikipedia! http://en.wikipedia.org/wiki/DirecTV
#
# To handle the proliferation of bandwidth-intensive HDTV broadcasting, DirecTV rebroadcasts
# local HDTV stations using the H.264/MPEG-4 AVC codec while employing a newer transmission
# protocol (DVB-S2) over the newer satellites. This allows DirecTV to squeeze much more HD
# programming over its satellite signal than was previously feasible using the older MPEG-2
# compression and DSS protocol it has been using. This technology will be gradually expanded
# to the existing satellites as customer equipment is replaced with new MPEG-4-capable receivers.
#
# From the DirecTV forum:
# bob_nielsen writes -
# Your DLNA server should be recognized.  Acceptable formats are MPEG2 video, MP3 or LPCM (wav)
# audio or JPEG pictures.
# dcd writes -
# I'm not sure, but here are the parameters I have my MPEG2 video converter set to and it plays back fine.
# Encode codec MPEG2/MP2, video bitrate 5,000 kbps, audio bitrate 224 kbps. This is about 2200 Mb/hr.

# gives:

# [Supported video formats]:
#Supported = f:mpegps   v:mpeg2   a:mpa   n:2   m:video/mpeg
#Supported = f:avi|divx   v:mp4|divx|mjpeg   a:mp3|lpcm|mpa|ac3   n:2   m:video/x-divx
#Supported = f:mov   m:video/quicktime
#Supported = f:mp4   v:mp4|h264   a:ac3|aac   n:2   m:video/mp4
#Supported = f:mpegps|mpegts|mkv   v:mpeg1|mpeg2|mp4|h264   n:2   a:ac3|lpcm|aac|mpa   m:video/mpeg
#Supported = f:ogg   v:ogg   a:mp3|lpcm|mpa|ac3   n:2   m:application/ogg
#Supported = f:rm   v:rm   a:ra   n:2   m:application/vnd.rn-realmedia
#Supported = f:wmv   v:wmv|vc1   a:wma   n:2   m:video/x-ms-wmv

# [Supported audio formats]:
#Supported = f:mp3   n:2   m:audio/mpeg
#Supported = f:wav   a:dts|lpcm   n:2   s:48000   m:audio/wav
#Supported = f:wav   n:2   s:48000   m:audio/wav
#Supported = f:aac   n:2   a:(?!alac).+   m:audio/x-m4a
#Supported = f:wma   n:2   m:audio/x-ms-wma
#Supported = f:atrac   n:2   m:audio/x-oma

# [Supported image formats]
#Supported = f:jpg   m:image/jpeg
#Supported = f:png   m:image/png
#Supported = f:gif   m:image/gif
#Supported = f:tiff   m:image/tiff

# Use faster method to create DLNA tree with MediaInfo. Not supported by some renderers,
# false by default (upnp specification violation).
CreateDLNATreeFaster = true

#----------------------------------------------------------------------------